import { Module } from '@nestjs/common';
import { VehicleUsageService } from './vehicle_usage.service';
import { TypeOrmModule } from '@nestjs/typeorm';
import { VehicleUsageEntity } from './vehicle_usage.entity';
import { VehicleUsageController } from './vehicle_usage.controller';
import { StorageModule } from '../tools/storage/storage.module';

@Module({
  imports: [TypeOrmModule.forFeature([VehicleUsageEntity]), StorageModule],
  providers: [VehicleUsageService],
  controllers: [VehicleUsageController]
})
export class VehicleUsageModule {}
